package com.backendsys.mapper.Ai.Aiivh;

import com.backendsys.entity.Ai.Aiivh.AiivhMakeBroadcastTask.AiivhMakeBroadcastTaskDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * AI数智人-定制音视频播报任务
 */
@Mapper
public interface AiivhMakeBroadcastTaskMapper {
    List<Map<String, Object>> queryAiivhMakeBroadcastTaskList(AiivhMakeBroadcastTaskDTO aiivhMakeBroadcastTaskDTO);
    Map<String, Object> queryAiivhMakeBroadcastTaskDetail(AiivhMakeBroadcastTaskDTO aiivhMakeBroadcastTaskDTO);
    long insertAiivhMakeBroadcast(Map<String, Object> vo);
    long updateAiivhMakeBroadcast(Map<String, Object> vo);
    long deleteAiivhMakeBroadcast(AiivhMakeBroadcastTaskDTO aiivhMakeBroadcastTaskDTO);
}
